import { parseReceivePush } from '@/services/socket/quota/adapter/index';
import eventBus from '@/utils/eventBus';

/**
 * 交易通知处理，涉及各个方面
 */
export const notice = (logout: Function) => {
    // 注册账户离线通知;
    eventBus.$onOnly('custOfflineNtf', (msg: string) => {
        console.warn(msg);
        logout(msg);
    });
    // 注册用户登出应答;
    eventBus.$onOnly('userLogout', (msg: string) => {
        console.warn(msg);
        logout(msg);
    });
    // 注册头寸变化通知; => 请求头寸数据,计算持仓盈亏
    eventBus.$onOnly('posChangedNtf', (msg: string) => {
        console.warn(msg);
    });
    // 注册资金变化通知; => 请求资金账户信息,计算资金账户盈亏,可用,净值等
    eventBus.$onOnly('moneyChangedNtf', (msg: string) => {
        eventBus.$emit('moneyChangedNtf_UI', msg);
        // queryAccountInfo('');
        console.warn(msg);
    });
    // 注册委托单撤单通知; => 刷委托单
    eventBus.$onOnly('orderCanceledNtf', (msg: string) => {
        console.warn(msg);
    });
    // 注册实时行情推送通知; => 实时行情推送
    eventBus.$onOnly('quoteReceiveNtf', (msg: any) => {
        if (msg) {
            // console.warn(msg);
            parseReceivePush(msg);
        }
    });
};
